Subject: Re: constraints im molecular dynamics

From: "Gerald Loeffler" <[email-masked]>
Date: Mon, 8 Nov 1993 14:28:41 +0100

On Nov 8, 12:12pm, Ferenc Molnar wrote:
> Subject: constraints im molecular dynamics
> Dear Netters!
>
> I am looking for information on methods to impose constraints
> on molecules (constant bond-length etc.) in molecular
> dynamics simulations.
>
> Does anybody know about a fast constraints-algorithm in connection
> with Gear's (predictor-corrector) or Verlet's (velocity verlet)
> algorithm.
>
>

the algorithm that does constraining on either distances or angels is called
shake:
1) Ryckaert, Ciccotti, Berendsen, J. Comp. Phys., 23, 327 (1977)
2) van Gunsteren, Berendsen, Mol. Phys. 34, 1311 (1977)

-- 
Gerald Loeffler
[email-masked]

Theoretical Biochemistry Group
Department of Theoretical Chemistry
University of Vienna
A-1090 Vienna, Austria

Institut fuer Theoretische Chemie und Strahlenchemie der Universitaet Wien
Arbeitsschwerpunkt Theoretische Biochemie
Waehringerstrasse 17/Parterre
A-1090 Wien, Austria

---

From: G. Ravishanker <[email-masked]>
Date: Mon, 8 Nov 1993 08:46:46 -0500

Ferenc

SHAKE proposed by Ryckaert and implemented by van Gunsteren's work and
RATTLE from Andersen are the most commonly used. For references and
example code can be found in the book by M.P. Allen and D.J. Tildesley on
Computer simulation of liquids published by Oxford Science publications.
Hope this helps.

Ravi

****************************************************************************
* Ganesan Ravishanker			Ph: (203) 344-8544 Ext. 3110       *
* Coordinator of Scientific Computing,  Fax:(203) 344-7960                 *
* Adjunct Associate Professor(Dept. of Chem.)                              *
* Wesleyan University               e-mail:[email-masked]  *
* Middletown, CT 06457.                                                    *
****************************************************************************